IInteractionUse

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IInteractionUse

    com.change_vision.jude.api.inf.model.IInteractionUse

All Implemented Interfaces:
  IElement, IHyperlinkOwner, IInteractionFragment, INamedElement

public IInteractionUse
extends IInteractionFragment

Interface for Interaction uses.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getArgument()` Get Argument.
`abstract IGate[]` | `getGates()` Get Gates.
`abstract ILifeline[]` | `getLifelines()` Get Lifelines.
`abstract ISequenceDiagram` | `getSequenceDiagram()` Get Sequence diagram.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getSequenceDiagram

    public abstract ISequenceDiagram getSequenceDiagram()

  Get Sequence diagram.

  Returns:
    Sequence diagram.

### getArgument

    public abstract String getArgument()

  Get Argument.

  Returns:
    Argument.

### getGates

    public abstract IGate[] getGates()

  Get Gates.

  Returns:
    Gates.

### getLifelines

    public abstract ILifeline[] getLifelines()

  Get Lifelines.

  Returns:
    Lifelines.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD